> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ghostsecurity.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reviews

> Get a paginated list of reviews



## OpenAPI

````yaml https://api.ghostsecurity.ai/openapi.json get /v2/reviews
openapi: 3.1.0
info:
  contact:
    email: support@ghostsecurity.com
    name: Ghost Security
    url: https://ghostsecurity.com/
  description: 'Provide your Bearer token as: Bearer <token>'
  title: Ghost API
  version: 2.0.0
servers:
  - description: Ghost Security API server
    url: https://api.ghostsecurity.ai
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v2/reviews:
    get:
      tags:
        - reviews.v2
      summary: Get reviews
      description: Get a paginated list of reviews
      parameters:
        - description: Pagination cursor
          in: query
          name: cursor
          schema:
            type: string
        - description: Sort field
          in: query
          name: sort
          schema:
            default: updated_at
            enum:
              - pr_title
              - pr_number
              - pr_status
              - pr_author
              - repo_name
              - open_issue_count
              - updated_at
            type: string
        - description: Sort order
          in: query
          name: order
          schema:
            default: desc
            enum:
              - asc
              - desc
            type: string
        - description: Page size
          in: query
          name: size
          schema:
            default: 10
            maximum: 1000
            minimum: 1
            type: integer
        - description: Filter by start time (RFC3339 format)
          in: query
          name: start_time
          schema:
            type: string
        - description: Filter by end time (RFC3339 format)
          in: query
          name: end_time
          schema:
            type: string
        - description: Filter by PR status (open, closed, merged)
          in: query
          name: status
          schema:
            type: string
        - description: >-
            Filter by custom criteria (open_with_issues, merged_with_issues,
            not_reviewed, reviewed)
          in: query
          name: custom
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.PaginatedResponse-types_Review'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorUnauthorized'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorInternalServerError'
          description: Internal Server Error
      security:
        - bearerauth: []
components:
  schemas:
    types.PaginatedResponse-types_Review:
      properties:
        has_more:
          description: Indicates if there are more items available
          example: true
          type: boolean
        items:
          description: The response items
          items:
            $ref: '#/components/schemas/types.Review'
          type: array
          uniqueItems: false
        next_cursor:
          description: Cursor for the next page
          example: >-
            eyJzb3J0X3ZhbHVlIjoiMjAyNC0wMS0xNVQxMDozMDowMFoiLCJkb2N1bWVudF9pZCI6InJlcG8xMjMiLCJzb3J0X2ZpZWxkIjoiY3JlYXRlZF9hdCJ9
          type: string
        total:
          description: Total count of items (if available)
          example: 250
          type: integer
      type: object
    types.ErrorUnauthorized:
      description: Error response for unauthorized requests
      properties:
        error:
          description: Error message
          example: Unauthorized
          type: string
      type: object
    types.ErrorInternalServerError:
      description: Error response for internal server errors
      properties:
        error:
          description: Error message
          example: Internal server error
          type: string
      type: object
    types.Review:
      description: Review
      properties:
        closed_issue_count:
          example: 0
          type: integer
        created_at:
          example: '2025-01-01T00:00:00Z'
          type: string
        id:
          example: csUT18jx0mY
          type: string
        last_review_at:
          example: '2025-01-01T00:00:00Z'
          type: string
        open_high_count:
          example: 0
          type: integer
        open_issue_count:
          example: 0
          type: integer
        open_low_count:
          example: 0
          type: integer
        open_medium_count:
          example: 0
          type: integer
        pr_author:
          example: author
          type: string
        pr_link:
          example: https://github.com/owner/repo/pull/1
          type: string
        pr_number:
          example: 1
          type: integer
        pr_status:
          example: open
          type: string
        pr_title:
          example: Fix bug
          type: string
        provider:
          example: github
          type: string
        repo_id:
          example: 08PB3zptlr8
          type: string
        repo_name:
          example: repo
          type: string
        repo_owner:
          example: owner
          type: string
        repo_url:
          example: https://github.com/owner/repo
          type: string
        status_override_available:
          example: true
          type: boolean
        updated_at:
          example: '2025-01-01T00:00:00Z'
          type: string
      type: object
  securitySchemes:
    bearerauth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````